# swagger-client
Integration with AI Forged system

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 2.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen
For more information, please visit [https://www.aiforged.com](https://www.aiforged.com)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
body = swagger_client.AIForgedViewModelsUserActivateViewModel() # AIForgedViewModelsUserActivateViewModel | 
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Allow new user to Activate user account
    api_response = api_instance.account_activate_account(body, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_activate_account: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
user_id = 'user_id_example' # str | The user id (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Allow admin to Activate another user account
    api_response = api_instance.account_activate_user(user_id=user_id, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_activate_user: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
user_id = 'user_id_example' # str | The user id (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Unblock a user
    api_response = api_instance.account_block_user(user_id=user_id, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_block_user: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
body = swagger_client.AIForgedViewModelsUserEditViewModel() # AIForgedViewModelsUserEditViewModel | 
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Create a new user
    api_response = api_instance.account_create(body, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_create: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
user_id = 'user_id_example' # str | The user id (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Delete a user
    api_response = api_instance.account_delete(user_id=user_id, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_delete: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
body = swagger_client.MicrosoftAspNetCoreIdentityUserLoginInfo() # MicrosoftAspNetCoreIdentityUserLoginInfo |  (optional)
x_api_version = 'x_api_version_example' # str |  (optional)
user_id = 'user_id_example' # str |  (optional)

try:
    # Get list of current user login providers
    api_response = api_instance.account_delete_user_login_provider(body=body, x_api_version=x_api_version, user_id=user_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_delete_user_login_provider: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
user_id = 'user_id_example' # str |  (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Disable 2FA
    api_response = api_instance.account_disable2_fa(user_id=user_id, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_disable2_fa: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
user_id = 'user_id_example' # str |  (optional)
provider = 'provider_example' # str |  (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Enable 2FA
    api_response = api_instance.account_enable2_fa(user_id=user_id, provider=provider, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_enable2_fa: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
filter = 'filter_example' # str |  (optional)
group_id = 56 # int |  (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Find users
    api_response = api_instance.account_find(filter=filter, group_id=group_id, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_find: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
user_id = 'user_id_example' # str |  (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Enabled and Generate Authenticator Key
    api_response = api_instance.account_generate_authenticator_key(user_id=user_id, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_generate_authenticator_key: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
user_id = 'user_id_example' # str |  (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Get 2FAProviders
    api_response = api_instance.account_get2_fa_providers(user_id=user_id, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_get2_fa_providers: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
group_id = 56 # int |  (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Get all users
    api_response = api_instance.account_get_all(group_id=group_id, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_get_all: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
user_id = 'user_id_example' # str | The user API key (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Get the API key for a user
    api_response = api_instance.account_get_api_key(user_id=user_id, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_get_api_key: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
user_id = 'user_id_example' # str |  (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Get Authenticator Url
    api_response = api_instance.account_get_authenticator_url(user_id=user_id, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_get_authenticator_url: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
userid = 'userid_example' # str | The user id (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Get user by Id
    api_response = api_instance.account_get_by_id(userid=userid, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_get_by_id: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
user_name = 'user_name_example' # str |  (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Get user info by username
    api_response = api_instance.account_get_by_user_name(user_name=user_name, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_get_by_user_name: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Get the current logged in user
    api_response = api_instance.account_get_current_user(x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_get_current_user: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
filter = 'filter_example' # str |  (optional)
page = -1 # int |  (optional) (default to -1)
page_size = -1 # int |  (optional) (default to -1)
group_id = 56 # int |  (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Get users paged
    api_response = api_instance.account_get_paged(filter=filter, page=page, page_size=page_size, group_id=group_id, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_get_paged: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
filter = 'filter_example' # str |  (optional)
group_id = 56 # int |  (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Get count of users
    api_response = api_instance.account_get_user_count(filter=filter, group_id=group_id, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_get_user_count: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
user_id = 'user_id_example' # str |  (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Get list of current user login providers
    api_response = api_instance.account_get_user_login_providers(user_id=user_id, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_get_user_login_providers: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
body = swagger_client.AIForgedViewModelsUserEditViewModel() # AIForgedViewModelsUserEditViewModel | New user info
x_api_version = 'x_api_version_example' # str |  (optional)
user_id = 'user_id_example' # str | The user id (optional)
role_id = 56 # int |  (optional)

try:
    # Create a new user int a group
    api_response = api_instance.account_group_create(body, x_api_version=x_api_version, user_id=user_id, role_id=role_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_group_create: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Log out the current user
    api_response = api_instance.account_logout(x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_logout: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
body = swagger_client.AIForgedViewModelsUserPasswordResetViewModel() # AIForgedViewModelsUserPasswordResetViewModel | 
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Reset a password request
    api_response = api_instance.account_password_reset(body, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_password_reset: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
body = swagger_client.AIForgedViewModelsUserActivateViewModel() # AIForgedViewModelsUserActivateViewModel | 
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Request a reset a user account
    api_response = api_instance.account_password_reset_request(body, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_password_reset_request: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
body = swagger_client.AIForgedViewModelsUserEditViewModel() # AIForgedViewModelsUserEditViewModel | 
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Register a new user account
    api_response = api_instance.account_register(body, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_register: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
body = swagger_client.AIForgedViewModelsUserActivateViewModel() # AIForgedViewModelsUserActivateViewModel | 
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Send a registration email
    api_response = api_instance.account_send_registration_mail(body, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_send_registration_mail: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
user_id = 'user_id_example' # str | The user id (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Unblock a user
    api_response = api_instance.account_unblock_user(user_id=user_id, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_unblock_user: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
body = swagger_client.AIForgedViewModelsUserEditViewModel() # AIForgedViewModelsUserEditViewModel | 
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Update a different users
    api_response = api_instance.account_update(body, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_update: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
user_id = 'user_id_example' # str |  (optional)
provider = 'provider_example' # str |  (optional)
token = 'token_example' # str |  (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Get Verify 2FA Token
    api_response = api_instance.account_verify2_fa_token(user_id=user_id, provider=provider, token=token, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_verify2_fa_token: %s\n" % e)

# Configure OAuth2 access token for authorization: oauth2
configuration = swagger_client.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = swagger_client.AccountApi(swagger_client.ApiClient(configuration))
user_id = 'user_id_example' # str |  (optional)
phone_no = 'phone_no_example' # str |  (optional)
token = 'token_example' # str |  (optional)
x_api_version = 'x_api_version_example' # str |  (optional)

try:
    # Verify Phone number
    api_response = api_instance.account_verify_phone_no(user_id=user_id, phone_no=phone_no, token=token, x_api_version=x_api_version)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->account_verify_phone_no: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://portal.aiforged.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AccountApi* | [**account_activate_account**](docs/AccountApi.md#account_activate_account) | **POST** /api/Account/ActivateAccount | Allow new user to Activate user account
*AccountApi* | [**account_activate_user**](docs/AccountApi.md#account_activate_user) | **PUT** /api/Account/ActivateUser | Allow admin to Activate another user account
*AccountApi* | [**account_block_user**](docs/AccountApi.md#account_block_user) | **PUT** /api/Account/BlockUser | Unblock a user
*AccountApi* | [**account_create**](docs/AccountApi.md#account_create) | **POST** /api/Account/Create | Create a new user
*AccountApi* | [**account_delete**](docs/AccountApi.md#account_delete) | **DELETE** /api/Account/Delete | Delete a user
*AccountApi* | [**account_delete_user_login_provider**](docs/AccountApi.md#account_delete_user_login_provider) | **DELETE** /api/Account/DeleteUserLoginProvider | Get list of current user login providers
*AccountApi* | [**account_disable2_fa**](docs/AccountApi.md#account_disable2_fa) | **DELETE** /api/Account/Disable2FA | Disable 2FA
*AccountApi* | [**account_enable2_fa**](docs/AccountApi.md#account_enable2_fa) | **POST** /api/Account/Enable2FA | Enable 2FA
*AccountApi* | [**account_find**](docs/AccountApi.md#account_find) | **GET** /api/Account/Find | Find users
*AccountApi* | [**account_generate_authenticator_key**](docs/AccountApi.md#account_generate_authenticator_key) | **GET** /api/Account/GenerateAuthenticator | Enabled and Generate Authenticator Key
*AccountApi* | [**account_get2_fa_providers**](docs/AccountApi.md#account_get2_fa_providers) | **GET** /api/Account/Get2FAProviders | Get 2FAProviders
*AccountApi* | [**account_get_all**](docs/AccountApi.md#account_get_all) | **GET** /api/Account/GetAll | Get all users
*AccountApi* | [**account_get_api_key**](docs/AccountApi.md#account_get_api_key) | **GET** /api/Account/GetAPIKey | Get the API key for a user
*AccountApi* | [**account_get_authenticator_url**](docs/AccountApi.md#account_get_authenticator_url) | **GET** /api/Account/GetAuthenticatorUrl | Get Authenticator Url
*AccountApi* | [**account_get_by_id**](docs/AccountApi.md#account_get_by_id) | **GET** /api/Account/GetById | Get user by Id
*AccountApi* | [**account_get_by_user_name**](docs/AccountApi.md#account_get_by_user_name) | **GET** /api/Account/GetByUserName | Get user info by username
*AccountApi* | [**account_get_current_user**](docs/AccountApi.md#account_get_current_user) | **GET** /api/Account/GetCurrentUser | Get the current logged in user
*AccountApi* | [**account_get_paged**](docs/AccountApi.md#account_get_paged) | **GET** /api/Account/GetPaged | Get users paged
*AccountApi* | [**account_get_user_count**](docs/AccountApi.md#account_get_user_count) | **GET** /api/Account/GetUserCount | Get count of users
*AccountApi* | [**account_get_user_login_providers**](docs/AccountApi.md#account_get_user_login_providers) | **GET** /api/Account/GetUserLoginProviders | Get list of current user login providers
*AccountApi* | [**account_group_create**](docs/AccountApi.md#account_group_create) | **POST** /api/Account/GroupCreate | Create a new user int a group
*AccountApi* | [**account_logout**](docs/AccountApi.md#account_logout) | **GET** /api/Account/Logout | Log out the current user
*AccountApi* | [**account_password_reset**](docs/AccountApi.md#account_password_reset) | **POST** /api/Account/PasswordReset | Reset a password request
*AccountApi* | [**account_password_reset_request**](docs/AccountApi.md#account_password_reset_request) | **POST** /api/Account/PasswordResetRequest | Request a reset a user account
*AccountApi* | [**account_register**](docs/AccountApi.md#account_register) | **POST** /api/Account/Register | Register a new user account
*AccountApi* | [**account_send_registration_mail**](docs/AccountApi.md#account_send_registration_mail) | **POST** /api/Account/SendRegistrationMail | Send a registration email
*AccountApi* | [**account_unblock_user**](docs/AccountApi.md#account_unblock_user) | **PUT** /api/Account/UnblockUser | Unblock a user
*AccountApi* | [**account_update**](docs/AccountApi.md#account_update) | **PUT** /api/Account/Update | Update a different users
*AccountApi* | [**account_verify2_fa_token**](docs/AccountApi.md#account_verify2_fa_token) | **POST** /api/Account/Verify2FAToken | Get Verify 2FA Token
*AccountApi* | [**account_verify_phone_no**](docs/AccountApi.md#account_verify_phone_no) | **POST** /api/Account/VerifyPhoneNo | Verify Phone number
*AuditApi* | [**audit_get**](docs/AuditApi.md#audit_get) | **GET** /api/Audit | Get audit info by Id
*AuditApi* | [**audit_get_all**](docs/AuditApi.md#audit_get_all) | **GET** /api/Audit/GetAll | Get audit by search criteria
*BundlesApi* | [**bundles_create**](docs/BundlesApi.md#bundles_create) | **POST** /api/Bundles/Create | Create a new bundle
*BundlesApi* | [**bundles_delete**](docs/BundlesApi.md#bundles_delete) | **DELETE** /api/Bundles/Delete | Delete a bundle
*BundlesApi* | [**bundles_get_all**](docs/BundlesApi.md#bundles_get_all) | **GET** /api/Bundles/GetAll | Get all bundles
*BundlesApi* | [**bundles_update**](docs/BundlesApi.md#bundles_update) | **PUT** /api/Bundles/Update | Update a bundle
*ClassesApi* | [**classes_create**](docs/ClassesApi.md#classes_create) | **POST** /api/Classes/Create | Create a new category
*ClassesApi* | [**classes_delete**](docs/ClassesApi.md#classes_delete) | **DELETE** /api/Classes/Delete | Delete a category
*ClassesApi* | [**classes_delete_training_option**](docs/ClassesApi.md#classes_delete_training_option) | **DELETE** /api/Classes/DeleteTrainingOption | Delete a category training options
*ClassesApi* | [**classes_find_by_name**](docs/ClassesApi.md#classes_find_by_name) | **GET** /api/Classes/FindByName | Get categories by project and name
*ClassesApi* | [**classes_get**](docs/ClassesApi.md#classes_get) | **GET** /api/Classes/Get | Get category information
*ClassesApi* | [**classes_get_by_project**](docs/ClassesApi.md#classes_get_by_project) | **GET** /api/Classes/GetByProject | Get all categories by project
*ClassesApi* | [**classes_get_by_user**](docs/ClassesApi.md#classes_get_by_user) | **GET** /api/Classes/GetByUser | Get categories by user and project
*ClassesApi* | [**classes_get_training_option**](docs/ClassesApi.md#classes_get_training_option) | **GET** /api/Classes/GetTrainingOption | Get a category training options
*ClassesApi* | [**classes_set_training_option**](docs/ClassesApi.md#classes_set_training_option) | **PUT** /api/Classes/SetTrainingOption | Set a category training options
*ClassesApi* | [**classes_update**](docs/ClassesApi.md#classes_update) | **PUT** /api/Classes/Update | Update a category
*CloningApi* | [**cloning_configure**](docs/CloningApi.md#cloning_configure) | **POST** /api/Cloning/Configure | Clone a service to new project
*CloningApi* | [**cloning_get_data_set_options**](docs/CloningApi.md#cloning_get_data_set_options) | **GET** /api/Cloning/GetDataSetOptions | Get clone default options
*CloningApi* | [**cloning_get_default_options**](docs/CloningApi.md#cloning_get_default_options) | **GET** /api/Cloning/GetDefaultOptions | Get clone default options
*CloningApi* | [**cloning_get_destination_project**](docs/CloningApi.md#cloning_get_destination_project) | **GET** /api/Cloning/GetDestinationProject | Get Destination Project
*CloningApi* | [**cloning_get_destination_service**](docs/CloningApi.md#cloning_get_destination_service) | **GET** /api/Cloning/GetDestinationService | Get Destination Service
*CloningApi* | [**cloning_get_interval**](docs/CloningApi.md#cloning_get_interval) | **GET** /api/Cloning/GetInterval | Get Cloning interval
*CloningApi* | [**cloning_get_options**](docs/CloningApi.md#cloning_get_options) | **GET** /api/Cloning/GetOptions | Get current cloning options
*CloningApi* | [**cloning_get_training_options**](docs/CloningApi.md#cloning_get_training_options) | **GET** /api/Cloning/GetTrainingOptions | Get clone default options
*CloningApi* | [**cloning_set_options**](docs/CloningApi.md#cloning_set_options) | **POST** /api/Cloning/SetOptions | Set Options
*ContactApi* | [**contact_create**](docs/ContactApi.md#contact_create) | **POST** /api/Contact/Create | Create contacts
*ContactApi* | [**contact_delete**](docs/ContactApi.md#contact_delete) | **DELETE** /api/Contact/Delete | Delete
*ContactApi* | [**contact_get**](docs/ContactApi.md#contact_get) | **GET** /api/Contact/Get | Get Contacts
*ContactApi* | [**contact_update**](docs/ContactApi.md#contact_update) | **PUT** /api/Contact/Update | Update contacts
*DataSetApi* | [**data_set_create**](docs/DataSetApi.md#data_set_create) | **POST** /api/DataSet/Create | Create a new empty custom dataset
*DataSetApi* | [**data_set_create_record**](docs/DataSetApi.md#data_set_create_record) | **POST** /api/DataSet/CreateRecord | Create a custom dataset record
*DataSetApi* | [**data_set_delete**](docs/DataSetApi.md#data_set_delete) | **DELETE** /api/DataSet/Delete | Delete a custom dataset
*DataSetApi* | [**data_set_delete_record**](docs/DataSetApi.md#data_set_delete_record) | **DELETE** /api/DataSet/DeleteRecord | Delete a custom dataset record by key ID
*DataSetApi* | [**data_set_delete_record_by_key_value**](docs/DataSetApi.md#data_set_delete_record_by_key_value) | **DELETE** /api/DataSet/DeleteByKeyValue | Delete a custom dataset record by key value
*DataSetApi* | [**data_set_delete_records**](docs/DataSetApi.md#data_set_delete_records) | **DELETE** /api/DataSet/DeleteRecords | Delete multiple custom dataset records by key IDs
*DataSetApi* | [**data_set_get**](docs/DataSetApi.md#data_set_get) | **GET** /api/DataSet/Get | Get custom dataset and data
*DataSetApi* | [**data_set_get_all**](docs/DataSetApi.md#data_set_get_all) | **GET** /api/DataSet/GetAll | Get all datasets for a service
*DataSetApi* | [**data_set_get_by_def**](docs/DataSetApi.md#data_set_get_by_def) | **GET** /api/DataSet/GetByDef | Get custom dataset by definition
*DataSetApi* | [**data_set_get_by_id**](docs/DataSetApi.md#data_set_get_by_id) | **GET** /api/DataSet/GetById | Get custom dataset by ID
*DataSetApi* | [**data_set_get_by_name**](docs/DataSetApi.md#data_set_get_by_name) | **GET** /api/DataSet/GetByName | Get dataset by name
*DataSetApi* | [**data_set_get_record**](docs/DataSetApi.md#data_set_get_record) | **GET** /api/DataSet/GetRecord | Get a custom dataset record
*DataSetApi* | [**data_set_get_record_by_key_value**](docs/DataSetApi.md#data_set_get_record_by_key_value) | **GET** /api/DataSet/GetRecordByKeyValue | Find a custom dataset by key
*DataSetApi* | [**data_set_save**](docs/DataSetApi.md#data_set_save) | **POST** /api/DataSet/Save | Save a custom dataset
*DataSetApi* | [**data_set_sync**](docs/DataSetApi.md#data_set_sync) | **POST** /api/DataSet/Sync | Sync custom dataset with service or categories
*DataSetApi* | [**data_set_update_record**](docs/DataSetApi.md#data_set_update_record) | **PUT** /api/DataSet/UpdateRecord | Update a custom dataset record
*DocumentApi* | [**document_bulk_class_change**](docs/DocumentApi.md#document_bulk_class_change) | **POST** /api/Document/BulkClassChange | Bulk change document classes by status and usage
*DocumentApi* | [**document_bulk_copy**](docs/DocumentApi.md#document_bulk_copy) | **POST** /api/Document/BulkCopy | Bulk Copy document by status and usage to another service
*DocumentApi* | [**document_bulk_move**](docs/DocumentApi.md#document_bulk_move) | **POST** /api/Document/BulkMove | Bulk Mode document by status and usage to another service
*DocumentApi* | [**document_bulk_update**](docs/DocumentApi.md#document_bulk_update) | **POST** /api/Document/BulkUpdate | Bulk update document by status and usage
*DocumentApi* | [**document_change_field_page_index**](docs/DocumentApi.md#document_change_field_page_index) | **PUT** /api/Document/ChangeFieldPageIndex | Move fields to another page
*DocumentApi* | [**document_classify**](docs/DocumentApi.md#document_classify) | **POST** /api/Document/Classify | Upload and classify a document
*DocumentApi* | [**document_clone**](docs/DocumentApi.md#document_clone) | **POST** /api/Document/Clone | Clone a document
*DocumentApi* | [**document_clone_for_training**](docs/DocumentApi.md#document_clone_for_training) | **POST** /api/Document/CloneForTraining | Clone a processed document for training
*DocumentApi* | [**document_copy**](docs/DocumentApi.md#document_copy) | **POST** /api/Document/Copy | Copy a document to another project/service and supply a new status and usage
*DocumentApi* | [**document_delete**](docs/DocumentApi.md#document_delete) | **DELETE** /api/Document/Delete | Delete a document by ID
*DocumentApi* | [**document_delete_blob**](docs/DocumentApi.md#document_delete_blob) | **DELETE** /api/Document/DeleteBlob | Delete a document blob
*DocumentApi* | [**document_delete_fields_on_page**](docs/DocumentApi.md#document_delete_fields_on_page) | **DELETE** /api/Document/DeleteFieldsOnPage | Delete fields on a page
*DocumentApi* | [**document_delete_multi**](docs/DocumentApi.md#document_delete_multi) | **DELETE** /api/Document/DeleteMulti | Delete multiple documents
*DocumentApi* | [**document_delete_pages**](docs/DocumentApi.md#document_delete_pages) | **DELETE** /api/Document/DeletePages | Delete pages from a document
*DocumentApi* | [**document_extract_and_verify**](docs/DocumentApi.md#document_extract_and_verify) | **POST** /api/Document/ExtractAndVerify | Upload and extract information for verification
*DocumentApi* | [**document_find_latest_child**](docs/DocumentApi.md#document_find_latest_child) | **GET** /api/Document/FindLatestChild | Find latest child document to assist with verification
*DocumentApi* | [**document_fix_page_verification_index**](docs/DocumentApi.md#document_fix_page_verification_index) | **PUT** /api/Document/FixPageVerificationIndex | Fix page parameter index
*DocumentApi* | [**document_get_blob**](docs/DocumentApi.md#document_get_blob) | **GET** /api/Document/GetBlob | Get the data blob for a document id by image type
*DocumentApi* | [**document_get_blob_by_id**](docs/DocumentApi.md#document_get_blob_by_id) | **GET** /api/Document/GetBlobById | Get blob by blob ID
*DocumentApi* | [**document_get_classification**](docs/DocumentApi.md#document_get_classification) | **GET** /api/Document/GetClassification | Get a document classification
*DocumentApi* | [**document_get_data**](docs/DocumentApi.md#document_get_data) | **GET** /api/Document/GetData | Get document images
*DocumentApi* | [**document_get_document**](docs/DocumentApi.md#document_get_document) | **GET** /api/Document/Get | Get a document by ID
*DocumentApi* | [**document_get_ex_summary**](docs/DocumentApi.md#document_get_ex_summary) | **GET** /api/Document/GetExtendedSummary | Get a summary of documents for analytics
*DocumentApi* | [**document_get_extended**](docs/DocumentApi.md#document_get_extended) | **GET** /api/Document/GetExtended | Find documnets by using structured search criteria. The results can be paged
*DocumentApi* | [**document_get_extended_count**](docs/DocumentApi.md#document_get_extended_count) | **GET** /api/Document/GetExtendedCount | Find documnets count by using structured search criteria This is used to detemine paging
*DocumentApi* | [**document_get_hierarchy**](docs/DocumentApi.md#document_get_hierarchy) | **GET** /api/Document/GetHierarchy | Get a document and its related documents
*DocumentApi* | [**document_get_previews**](docs/DocumentApi.md#document_get_previews) | **GET** /api/Document/GetPreviews | Get preview documents and images for a service
*DocumentApi* | [**document_get_root**](docs/DocumentApi.md#document_get_root) | **GET** /api/Document/GetRoot | Get a topmost root document by ID
*DocumentApi* | [**document_get_system_document**](docs/DocumentApi.md#document_get_system_document) | **GET** /api/Document/GetSystemDocument | Get system document
*DocumentApi* | [**document_get_system_documents**](docs/DocumentApi.md#document_get_system_documents) | **GET** /api/Document/GetSystemDocuments | Get system documents
*DocumentApi* | [**document_get_training_report**](docs/DocumentApi.md#document_get_training_report) | **GET** /api/Document/GetTrainingReport | Get Training Report
*DocumentApi* | [**document_merge_to_pdf_for_category**](docs/DocumentApi.md#document_merge_to_pdf_for_category) | **POST** /api/Document/MergeToPdfForCategory | Merge the provided image documents into a single PDF document for the specified category
*DocumentApi* | [**document_move**](docs/DocumentApi.md#document_move) | **POST** /api/Document/Move | Move a document to another project and service
*DocumentApi* | [**document_set_field_page_verification_index**](docs/DocumentApi.md#document_set_field_page_verification_index) | **PUT** /api/Document/SetFieldPageVerificationIndex | Change field verification index
*DocumentApi* | [**document_store**](docs/DocumentApi.md#document_store) | **POST** /api/Document/Store | Store structured doument and containing data blob
*DocumentApi* | [**document_un_delete**](docs/DocumentApi.md#document_un_delete) | **DELETE** /api/Document/UnDelete | Undelete a document by id
*DocumentApi* | [**document_update**](docs/DocumentApi.md#document_update) | **PUT** /api/Document/Update | Update a document
*DocumentApi* | [**document_update_blob**](docs/DocumentApi.md#document_update_blob) | **PUT** /api/Document/UpdateBlob | Update a blob
*DocumentApi* | [**document_upload**](docs/DocumentApi.md#document_upload) | **POST** /api/Document/Upload | Upload multiple documents
*DocumentApi* | [**document_upload_file**](docs/DocumentApi.md#document_upload_file) | **POST** /api/Document/UploadFile | Upload a document
*GroupApi* | [**group_create**](docs/GroupApi.md#group_create) | **POST** /api/Group/Create | Create usergroup
*GroupApi* | [**group_create_role**](docs/GroupApi.md#group_create_role) | **POST** /api/Group/CreateRole | Create group role
*GroupApi* | [**group_delete**](docs/GroupApi.md#group_delete) | **DELETE** /api/Group/Delete | Delete
*GroupApi* | [**group_delete_role**](docs/GroupApi.md#group_delete_role) | **DELETE** /api/Group/DeleteRole | Create group role
*GroupApi* | [**group_get**](docs/GroupApi.md#group_get) | **GET** /api/Group/Get | Get by id
*GroupApi* | [**group_get_by_user**](docs/GroupApi.md#group_get_by_user) | **GET** /api/Group/GetByUser | Get by users
*GroupApi* | [**group_get_roles**](docs/GroupApi.md#group_get_roles) | **GET** /api/Group/GetRoles | Get roles by group
*GroupApi* | [**group_get_users_by_role**](docs/GroupApi.md#group_get_users_by_role) | **GET** /api/Group/GetUsersByRole | Get users by roles
*GroupApi* | [**group_update**](docs/GroupApi.md#group_update) | **PUT** /api/Group/Update | Update group
*GroupApi* | [**group_update_role**](docs/GroupApi.md#group_update_role) | **PUT** /api/Group/UpdateRole | Update group role
*LogApi* | [**log_add**](docs/LogApi.md#log_add) | **POST** /api/Log/Add | Add a log record
*LogApi* | [**log_create**](docs/LogApi.md#log_create) | **PUT** /api/Log/Create | Create a log
*LogApi* | [**log_get**](docs/LogApi.md#log_get) | **GET** /api/Log | Get Log info by Id
*LogApi* | [**log_get_all**](docs/LogApi.md#log_get_all) | **GET** /api/Log/GetAll | Get logs by search criteria
*MarketPlaceApi* | [**market_place_approve_request**](docs/MarketPlaceApi.md#market_place_approve_request) | **PUT** /api/MarketPlace/ApproveRequest | Approve a user request
*MarketPlaceApi* | [**market_place_get**](docs/MarketPlaceApi.md#market_place_get) | **GET** /api/MarketPlace/Get | Get marketplace items by using a filter
*MarketPlaceApi* | [**market_place_get_by_user**](docs/MarketPlaceApi.md#market_place_get_by_user) | **GET** /api/MarketPlace/GetByUser | Get by user
*MarketPlaceApi* | [**market_place_get_project_users**](docs/MarketPlaceApi.md#market_place_get_project_users) | **GET** /api/MarketPlace/GetProjectUsers | 
*MarketPlaceApi* | [**market_place_get_rating**](docs/MarketPlaceApi.md#market_place_get_rating) | **GET** /api/MarketPlace/GetRating | Get service rating
*MarketPlaceApi* | [**market_place_get_ratings**](docs/MarketPlaceApi.md#market_place_get_ratings) | **GET** /api/MarketPlace/GetRatings | Get service rating
*MarketPlaceApi* | [**market_place_get_users**](docs/MarketPlaceApi.md#market_place_get_users) | **GET** /api/MarketPlace/GetUsers | Get users of a marketplace service
*MarketPlaceApi* | [**market_place_invite**](docs/MarketPlaceApi.md#market_place_invite) | **POST** /api/MarketPlace/Invite | Invite a user to a service
*MarketPlaceApi* | [**market_place_link_users**](docs/MarketPlaceApi.md#market_place_link_users) | **PUT** /api/MarketPlace/LinkUsers | Link / Shared users to project service group
*MarketPlaceApi* | [**market_place_rate**](docs/MarketPlaceApi.md#market_place_rate) | **GET** /api/MarketPlace/Rate | Rate a service
*MarketPlaceApi* | [**market_place_request_access**](docs/MarketPlaceApi.md#market_place_request_access) | **PUT** /api/MarketPlace/RequestAccess | Request access to market place
*MarketPlaceApi* | [**market_place_resend_invite**](docs/MarketPlaceApi.md#market_place_resend_invite) | **POST** /api/MarketPlace/ResendInvite | Invite a user to a service
*MarketPlaceApi* | [**market_place_un_link_users**](docs/MarketPlaceApi.md#market_place_un_link_users) | **PUT** /api/MarketPlace/UnLinkUsers | Unlink users from a service
*NotificationApi* | [**notification_bulk_flag_as_read**](docs/NotificationApi.md#notification_bulk_flag_as_read) | **POST** /api/Notification/BulkFlagAsRead | Flag multiple notifications as read
*NotificationApi* | [**notification_create**](docs/NotificationApi.md#notification_create) | **POST** /api/Notification/Create | Create Email Notifications for Support and Other
*NotificationApi* | [**notification_delete**](docs/NotificationApi.md#notification_delete) | **DELETE** /api/Notification/Delete | Delete
*NotificationApi* | [**notification_flag_as_read**](docs/NotificationApi.md#notification_flag_as_read) | **PUT** /api/Notification/FlagAsRead | Flag Notification as read
*NotificationApi* | [**notification_get**](docs/NotificationApi.md#notification_get) | **GET** /api/Notification/Get | Get Notifications
*NotificationApi* | [**notification_get_attachment**](docs/NotificationApi.md#notification_get_attachment) | **GET** /api/Notification/GetAttachment | Get Attachment
*NotificationApi* | [**notification_get_count**](docs/NotificationApi.md#notification_get_count) | **GET** /api/Notification/GetCount | Get Notifications Count
*NotificationApi* | [**notification_get_preferences**](docs/NotificationApi.md#notification_get_preferences) | **GET** /api/Notification/GetPreferences | Get the current user notification preferences
*NotificationApi* | [**notification_get_unread_count**](docs/NotificationApi.md#notification_get_unread_count) | **GET** /api/Notification/GetUnreadCount | Get Notifications Count
*NotificationApi* | [**notification_save_preferences**](docs/NotificationApi.md#notification_save_preferences) | **GET** /api/Notification/SavePreferences | Save the current user notification preferences
*NotificationApi* | [**notification_web_hook_get**](docs/NotificationApi.md#notification_web_hook_get) | **GET** /api/Notification/WebHook | Webhook for WhatApp
*NotificationApi* | [**notification_web_hook_post**](docs/NotificationApi.md#notification_web_hook_post) | **POST** /api/Notification/WebHook | Webhook for WhatApp
*ParamDefApi* | [**param_def_create**](docs/ParamDefApi.md#param_def_create) | **POST** /api/ParamDef/Create | Create a new parameter definition
*ParamDefApi* | [**param_def_create_setting**](docs/ParamDefApi.md#param_def_create_setting) | **POST** /api/ParamDef/CreateSetting | Create a new setting for a definition
*ParamDefApi* | [**param_def_delete**](docs/ParamDefApi.md#param_def_delete) | **DELETE** /api/ParamDef/Delete | Delete a parameter definition
*ParamDefApi* | [**param_def_delete_multi**](docs/ParamDefApi.md#param_def_delete_multi) | **DELETE** /api/ParamDef/DeleteMulti | Delete multiple definitions
*ParamDefApi* | [**param_def_elevate**](docs/ParamDefApi.md#param_def_elevate) | **PUT** /api/ParamDef/Elevate | Elevate to parent level
*ParamDefApi* | [**param_def_get**](docs/ParamDefApi.md#param_def_get) | **GET** /api/ParamDef/Get | Get parameter definition by ID
*ParamDefApi* | [**param_def_get_hierachy**](docs/ParamDefApi.md#param_def_get_hierachy) | **GET** /api/ParamDef/GetHierachy | Get hierarchy of fields for a service
*ParamDefApi* | [**param_def_get_last_setting**](docs/ParamDefApi.md#param_def_get_last_setting) | **GET** /api/ParamDef/GetLastSetting | Get the latest setting for a parameter definition
*ParamDefApi* | [**param_def_get_parent_service**](docs/ParamDefApi.md#param_def_get_parent_service) | **GET** /api/ParamDef/GetParentService | Get parent service for a parameter definition by Id
*ParamDefApi* | [**param_def_get_setting**](docs/ParamDefApi.md#param_def_get_setting) | **GET** /api/ParamDef/GetSetting | Get settings for a parameter definition by ID
*ParamDefApi* | [**param_def_get_settings**](docs/ParamDefApi.md#param_def_get_settings) | **GET** /api/ParamDef/GetSettings | Get all settings for a parameter definition
*ParamDefApi* | [**param_def_get_usage_count**](docs/ParamDefApi.md#param_def_get_usage_count) | **GET** /api/ParamDef/GetUsageCount | Get hierarchy of fields for a service
*ParamDefApi* | [**param_def_save_setting**](docs/ParamDefApi.md#param_def_save_setting) | **POST** /api/ParamDef/SaveSetting | Save a setting for a parameter definition
*ParamDefApi* | [**param_def_update**](docs/ParamDefApi.md#param_def_update) | **PUT** /api/ParamDef/Update | Update a parameter definition
*ParametersApi* | [**parameters_bulk_change_param_def**](docs/ParametersApi.md#parameters_bulk_change_param_def) | **POST** /api/Parameters/BulkChangeParamDef | Bulk change parameter definitions for parameters in all documents in a project
*ParametersApi* | [**parameters_create**](docs/ParametersApi.md#parameters_create) | **POST** /api/Parameters/Create | Create a new parameter on a document
*ParametersApi* | [**parameters_deep_search**](docs/ParametersApi.md#parameters_deep_search) | **GET** /api/Parameters/DeepSearch | Deep Search for parameter values
*ParametersApi* | [**parameters_delete**](docs/ParametersApi.md#parameters_delete) | **DELETE** /api/Parameters/Delete | Delete a parameter
*ParametersApi* | [**parameters_delete_by_param_def**](docs/ParametersApi.md#parameters_delete_by_param_def) | **DELETE** /api/Parameters/DeleteByParamDef | Delete parameters by definitions from a document
*ParametersApi* | [**parameters_delete_by_project_service_param_def**](docs/ParametersApi.md#parameters_delete_by_project_service_param_def) | **DELETE** /api/Parameters/DeleteByProjectServiceParamDef | Delete parameters by definitions from a document
*ParametersApi* | [**parameters_export_to_excel**](docs/ParametersApi.md#parameters_export_to_excel) | **GET** /api/Parameters/ExportToExcel | Export results to Excel
*ParametersApi* | [**parameters_extract**](docs/ParametersApi.md#parameters_extract) | **GET** /api/Parameters/Extract | Extract document parameters
*ParametersApi* | [**parameters_get**](docs/ParametersApi.md#parameters_get) | **GET** /api/Parameters/Get | Get parameter value
*ParametersApi* | [**parameters_get_by_verification**](docs/ParametersApi.md#parameters_get_by_verification) | **GET** /api/Parameters/GetByVerification | Get parameter by verification id
*ParametersApi* | [**parameters_get_hierarchy**](docs/ParametersApi.md#parameters_get_hierarchy) | **GET** /api/Parameters/GetHierarchy | Get document parameter hierarchy
*ParametersApi* | [**parameters_get_summary**](docs/ParametersApi.md#parameters_get_summary) | **GET** /api/Parameters/GetSummary | Get summary of project verifications
*ParametersApi* | [**parameters_get_usage**](docs/ParametersApi.md#parameters_get_usage) | **GET** /api/Parameters/GetUsage | Get parameter definition usage
*ParametersApi* | [**parameters_multi_extract**](docs/ParametersApi.md#parameters_multi_extract) | **GET** /api/Parameters/MultiExtract | Extract multiple document parameters
*ParametersApi* | [**parameters_update**](docs/ParametersApi.md#parameters_update) | **PUT** /api/Parameters/Update | Update a parameter
*ParametersApi* | [**parameters_update_multi**](docs/ParametersApi.md#parameters_update_multi) | **PUT** /api/Parameters/UpdateMulti | Update multiple parameter values
*PaymentApi* | [**payment_get_payments**](docs/PaymentApi.md#payment_get_payments) | **GET** /api/Payment/GetPayments | Get payments made by a user
*PaymentApi* | [**payment_process_payment**](docs/PaymentApi.md#payment_process_payment) | **POST** /api/Payment/ProcessPayment | Process a payment and update status from payment provider
*ProjectApi* | [**project_cancel_credit**](docs/ProjectApi.md#project_cancel_credit) | **POST** /api/Project/CancelCredit | Cancel a credit
*ProjectApi* | [**project_change_owner**](docs/ProjectApi.md#project_change_owner) | **POST** /api/Project/ChangeOwner | Change the owner of a project
*ProjectApi* | [**project_create**](docs/ProjectApi.md#project_create) | **POST** /api/Project/Create | Create a new project
*ProjectApi* | [**project_create_credit**](docs/ProjectApi.md#project_create_credit) | **POST** /api/Project/CreateCredit | Create a manual credit and link it to a project
*ProjectApi* | [**project_delete**](docs/ProjectApi.md#project_delete) | **DELETE** /api/Project/Delete | Delete a project
*ProjectApi* | [**project_expire_credits**](docs/ProjectApi.md#project_expire_credits) | **POST** /api/Project/ExpireCredits | Expire credits before a date
*ProjectApi* | [**project_get_audit**](docs/ProjectApi.md#project_get_audit) | **GET** /api/Project/GetAudit | Get audit transaction for service usage
*ProjectApi* | [**project_get_available_credits**](docs/ProjectApi.md#project_get_available_credits) | **GET** /api/Project/GetAvailableCredits | Get audit transaction for service usage
*ProjectApi* | [**project_get_balance**](docs/ProjectApi.md#project_get_balance) | **GET** /api/Project/GetBalance | Get the balance for a specific project
*ProjectApi* | [**project_get_balances**](docs/ProjectApi.md#project_get_balances) | **GET** /api/Project/GetBalances | Get balances for multiple projects linked to a user
*ProjectApi* | [**project_get_by_name**](docs/ProjectApi.md#project_get_by_name) | **GET** /api/Project/GetByName | Find a project by name for user
*ProjectApi* | [**project_get_by_user**](docs/ProjectApi.md#project_get_by_user) | **GET** /api/Project/GetByUser | Get projects and services for user
*ProjectApi* | [**project_get_hierachies**](docs/ProjectApi.md#project_get_hierachies) | **GET** /api/Project/GetHierachies | Get hierarchy of fields for all services in a project
*ProjectApi* | [**project_get_services**](docs/ProjectApi.md#project_get_services) | **GET** /api/Project/GetServices | Get services related to a project
*ProjectApi* | [**project_get_statement**](docs/ProjectApi.md#project_get_statement) | **GET** /api/Project/GetStatement | Get statement for user
*ProjectApi* | [**project_get_transaction_audit**](docs/ProjectApi.md#project_get_transaction_audit) | **GET** /api/Project/GetTransactionAudit | Get audit transaction for service usage
*ProjectApi* | [**project_get_user_project**](docs/ProjectApi.md#project_get_user_project) | **GET** /api/Project/GetUserProject | Get a specific project for user
*ProjectApi* | [**project_transfer_credit_amount**](docs/ProjectApi.md#project_transfer_credit_amount) | **POST** /api/Project/TransferCreditAmount | Transfer credits by amount
*ProjectApi* | [**project_transfer_credits**](docs/ProjectApi.md#project_transfer_credits) | **POST** /api/Project/TransferCredits | Transfer credits and link it to a project
*ProjectApi* | [**project_update**](docs/ProjectApi.md#project_update) | **POST** /api/Project/Update | Update a project
*ReportsApi* | [**reports_export_request**](docs/ReportsApi.md#reports_export_request) | **POST** /api/Reports/RequestExport | Create a PowerBI report export request
*ReportsApi* | [**reports_get_config**](docs/ReportsApi.md#reports_get_config) | **GET** /api/Reports/GetConfig | Reports Config
*ReportsApi* | [**reports_get_exported_file**](docs/ReportsApi.md#reports_get_exported_file) | **POST** /api/Reports/GetExport | Get the exported file
*ReportsApi* | [**reports_get_group_users**](docs/ReportsApi.md#reports_get_group_users) | **GET** /api/Reports/GetGroupUsers | Get goup users
*ReportsApi* | [**reports_get_groups**](docs/ReportsApi.md#reports_get_groups) | **GET** /api/Reports/GetGroups | Get groups
*ReportsApi* | [**reports_get_pages**](docs/ReportsApi.md#reports_get_pages) | **GET** /api/Reports/GetPages | Get pages by report id
*ReportsApi* | [**reports_get_report**](docs/ReportsApi.md#reports_get_report) | **GET** /api/Reports/GetReport | Get report by Id
*ReportsApi* | [**reports_get_reports**](docs/ReportsApi.md#reports_get_reports) | **GET** /api/Reports/GetReports | Get reports
*ReportsApi* | [**reports_poll_export_request**](docs/ReportsApi.md#reports_poll_export_request) | **GET** /api/Reports/PollExport | Poll PowerBI report export request
*ReportsApi* | [**reports_power_bi**](docs/ReportsApi.md#reports_power_bi) | **GET** /api/Reports/PowerBI | Go To PowerBI
*RolesApi* | [**roles_create**](docs/RolesApi.md#roles_create) | **POST** /api/Roles/Create | Create a role
*RolesApi* | [**roles_delete**](docs/RolesApi.md#roles_delete) | **DELETE** /api/Roles/Delete | Delete a role
*RolesApi* | [**roles_get**](docs/RolesApi.md#roles_get) | **GET** /api/Roles/Get | Get role info by id.
*RolesApi* | [**roles_get_all**](docs/RolesApi.md#roles_get_all) | **GET** /api/Roles/GetAll | Get all roles.
*RolesApi* | [**roles_get_all_permissions**](docs/RolesApi.md#roles_get_all_permissions) | **GET** /api/Roles/permissions | Get permissions claims on the system
*RolesApi* | [**roles_get_by_name**](docs/RolesApi.md#roles_get_by_name) | **GET** /api/Roles/GetByName | Get role info by name.
*RolesApi* | [**roles_get_paged**](docs/RolesApi.md#roles_get_paged) | **GET** /api/Roles/GetPaged | Get roles by pages
*RolesApi* | [**roles_update**](docs/RolesApi.md#roles_update) | **PUT** /api/Roles/Update | Update a role
*ServiceTypeApi* | [**service_type_create**](docs/ServiceTypeApi.md#service_type_create) | **POST** /api/ServiceType/Create | Create a new service type
*ServiceTypeApi* | [**service_type_create_charge**](docs/ServiceTypeApi.md#service_type_create_charge) | **POST** /api/ServiceType/CreateCharge | 
*ServiceTypeApi* | [**service_type_delete**](docs/ServiceTypeApi.md#service_type_delete) | **DELETE** /api/ServiceType/Delete | Delete a service type
*ServiceTypeApi* | [**service_type_delete_charge**](docs/ServiceTypeApi.md#service_type_delete_charge) | **DELETE** /api/ServiceType/DeleteCharge | Delete service type charge.
*ServiceTypeApi* | [**service_type_get_all**](docs/ServiceTypeApi.md#service_type_get_all) | **GET** /api/ServiceType/GetAll | Get all service types.  You can use a serice interface filter
*ServiceTypeApi* | [**service_type_get_all_charges**](docs/ServiceTypeApi.md#service_type_get_all_charges) | **GET** /api/ServiceType/GetAllCharges | Get all service types and charges.
*ServiceTypeApi* | [**service_type_get_charges**](docs/ServiceTypeApi.md#service_type_get_charges) | **GET** /api/ServiceType/GetCharges | Get all service types.  You can use a serice interface filter
*ServiceTypeApi* | [**service_type_update**](docs/ServiceTypeApi.md#service_type_update) | **PUT** /api/ServiceType/Update | Update a service type
*ServiceTypeApi* | [**service_type_update_charge**](docs/ServiceTypeApi.md#service_type_update_charge) | **PUT** /api/ServiceType/UpdateCharge | Update service type charge.
*ServicesApi* | [**services_change**](docs/ServicesApi.md#services_change) | **POST** /api/Services/Change | Change a service
*ServicesApi* | [**services_create**](docs/ServicesApi.md#services_create) | **POST** /api/Services/Create | Create a new service
*ServicesApi* | [**services_create_charge**](docs/ServicesApi.md#services_create_charge) | **POST** /api/Services/CreateCharge | 
*ServicesApi* | [**services_create_definition_results**](docs/ServicesApi.md#services_create_definition_results) | **POST** /api/Services/CreateDefinitionResults | Build definition keys after training
*ServicesApi* | [**services_delete_charge**](docs/ServicesApi.md#services_delete_charge) | **DELETE** /api/Services/DeleteCharge | Delete service type charge.
*ServicesApi* | [**services_delete_custom_training**](docs/ServicesApi.md#services_delete_custom_training) | **DELETE** /api/Services/DeleteCustomTraining | Delete custom training parameters
*ServicesApi* | [**services_find_service_references**](docs/ServicesApi.md#services_find_service_references) | **GET** /api/Services/FindServiceReferences | Find References to a Service
*ServicesApi* | [**services_get**](docs/ServicesApi.md#services_get) | **GET** /api/Services/Get | Get a service by id
*ServicesApi* | [**services_get_charges**](docs/ServicesApi.md#services_get_charges) | **GET** /api/Services/GetCharges | Get all service types.  You can use a serice interface filter
*ServicesApi* | [**services_get_code_constants**](docs/ServicesApi.md#services_get_code_constants) | **GET** /api/Services/GetCodeConstants | Get code constants
*ServicesApi* | [**services_get_custom_training**](docs/ServicesApi.md#services_get_custom_training) | **GET** /api/Services/GetCustomTraining | Get custom training parameters
*ServicesApi* | [**services_get_custom_training_fields**](docs/ServicesApi.md#services_get_custom_training_fields) | **GET** /api/Services/GetCustomTrainingFields | Get custom training fields
*ServicesApi* | [**services_get_events**](docs/ServicesApi.md#services_get_events) | **GET** /api/Services/GetEvents | Get events for a service
*ServicesApi* | [**services_get_related_users**](docs/ServicesApi.md#services_get_related_users) | **GET** /api/Services/GetRelatedUsers | Get related users
*ServicesApi* | [**services_get_training_report**](docs/ServicesApi.md#services_get_training_report) | **GET** /api/Services/GetTrainingReport | Get training report for service
*ServicesApi* | [**services_initialize**](docs/ServicesApi.md#services_initialize) | **PATCH** /api/Services/Initialize | Initialize a service
*ServicesApi* | [**services_move**](docs/ServicesApi.md#services_move) | **POST** /api/Services/Move | Move a service to another project
*ServicesApi* | [**services_process**](docs/ServicesApi.md#services_process) | **POST** /api/Services/Process | Process service documents
*ServicesApi* | [**services_save_custom_training**](docs/ServicesApi.md#services_save_custom_training) | **POST** /api/Services/SaveCustomTraining | Save custom training
*ServicesApi* | [**services_train**](docs/ServicesApi.md#services_train) | **POST** /api/Services/Train | Train service
*ServicesApi* | [**services_update_charge**](docs/ServicesApi.md#services_update_charge) | **PUT** /api/Services/UpdateCharge | Update service type charge.
*SystemApi* | [**system_check_services**](docs/SystemApi.md#system_check_services) | **GET** /api/System/CheckServices | Check services
*SystemApi* | [**system_create_data_type**](docs/SystemApi.md#system_create_data_type) | **POST** /api/System/CreateDataType | Create a new data type
*SystemApi* | [**system_create_enum_data**](docs/SystemApi.md#system_create_enum_data) | **POST** /api/System/CreateEnumData | Create a new system enum
*SystemApi* | [**system_delete_data_type**](docs/SystemApi.md#system_delete_data_type) | **DELETE** /api/System/DeleteDataType | Delete a datatype
*SystemApi* | [**system_delete_enum_data**](docs/SystemApi.md#system_delete_enum_data) | **DELETE** /api/System/DeleteEnumData | Delete a system enum
*SystemApi* | [**system_get_background_worker_item**](docs/SystemApi.md#system_get_background_worker_item) | **GET** /api/System/GetBackgroundWorkerItem | Get background worker item
*SystemApi* | [**system_get_category_training**](docs/SystemApi.md#system_get_category_training) | **GET** /api/System/GetCategoryTraining | Get category training options
*SystemApi* | [**system_get_data_type_info**](docs/SystemApi.md#system_get_data_type_info) | **GET** /api/System/GetDataTypeInfo | Get value types
*SystemApi* | [**system_get_data_types**](docs/SystemApi.md#system_get_data_types) | **GET** /api/System/GetDataTypes | Get data types
*SystemApi* | [**system_get_enum_data**](docs/SystemApi.md#system_get_enum_data) | **GET** /api/System/GetEnumData | Get system enum values
*SystemApi* | [**system_get_enum_options**](docs/SystemApi.md#system_get_enum_options) | **GET** /api/System/GetEnumOptions | Get enumerator options
*SystemApi* | [**system_get_exception**](docs/SystemApi.md#system_get_exception) | **GET** /api/System/GetException | Test an exception
*SystemApi* | [**system_get_logs**](docs/SystemApi.md#system_get_logs) | **GET** /api/System/GetLogs | Get event logs
*SystemApi* | [**system_get_system_date**](docs/SystemApi.md#system_get_system_date) | **GET** /api/System/GetSystemDate | Get the current server date and time
*SystemApi* | [**system_get_system_info**](docs/SystemApi.md#system_get_system_info) | **GET** /api/System/GetSystemInfo | Get system and application information
*SystemApi* | [**system_sync_enum_data**](docs/SystemApi.md#system_sync_enum_data) | **PUT** /api/System/SyncEnumData | Delete a system enum
*SystemApi* | [**system_test_data_set**](docs/SystemApi.md#system_test_data_set) | **GET** /api/System/GetDataSet | Dummy to expose event logs
*SystemApi* | [**system_update_data_type**](docs/SystemApi.md#system_update_data_type) | **PUT** /api/System/UpdateDataType | Update a datatype description
*SystemApi* | [**system_update_enum_data**](docs/SystemApi.md#system_update_enum_data) | **PUT** /api/System/UpdateEnumData | Update system enum
*UserPreferencesApi* | [**user_preferences_get**](docs/UserPreferencesApi.md#user_preferences_get) | **GET** /api/UserPreferences/Get | Get the current user preferences
*UserPreferencesApi* | [**user_preferences_save**](docs/UserPreferencesApi.md#user_preferences_save) | **PUT** /api/UserPreferences/Save | Save current user preferences
*UserSettingsApi* | [**user_settings_create**](docs/UserSettingsApi.md#user_settings_create) | **POST** /api/UserSettings/Create | Save a user settings
*UserSettingsApi* | [**user_settings_delete**](docs/UserSettingsApi.md#user_settings_delete) | **DELETE** /api/UserSettings/Delete | Delete a user settings
*UserSettingsApi* | [**user_settings_get**](docs/UserSettingsApi.md#user_settings_get) | **GET** /api/UserSettings/Get | Get user setting by name
*UserSettingsApi* | [**user_settings_get_all**](docs/UserSettingsApi.md#user_settings_get_all) | **GET** /api/UserSettings/GetAll | Get user settings
*UserSettingsApi* | [**user_settings_get_picture**](docs/UserSettingsApi.md#user_settings_get_picture) | **GET** /api/UserSettings/GetPicture | Get user profile picture
*UserSettingsApi* | [**user_settings_set_picture**](docs/UserSettingsApi.md#user_settings_set_picture) | **POST** /api/UserSettings/SetPicture | Get user profile picture
*UserSettingsApi* | [**user_settings_update**](docs/UserSettingsApi.md#user_settings_update) | **PUT** /api/UserSettings/Update | Update a user settings
*VerificationApi* | [**verification_get**](docs/VerificationApi.md#verification_get) | **GET** /api/Verification/Get | Get a verification by ID
*VerificationApi* | [**verification_get_all**](docs/VerificationApi.md#verification_get_all) | **GET** /api/Verification/GetAll | Get all verifications for a parameter
*VerificationApi* | [**verification_get_extended**](docs/VerificationApi.md#verification_get_extended) | **GET** /api/Verification/GetExtended | Get extended verification info
*VerificationApi* | [**verification_get_heatmap**](docs/VerificationApi.md#verification_get_heatmap) | **GET** /api/Verification/GetHeatmap | Get verification analytics for service
*VerificationApi* | [**verification_get_latest**](docs/VerificationApi.md#verification_get_latest) | **GET** /api/Verification/GetLatest | Get latest verification for a parameter
*VerificationApi* | [**verification_get_shred**](docs/VerificationApi.md#verification_get_shred) | **GET** /api/Verification/GetShred | Get a verification image shred
*VerificationApi* | [**verification_get_summary**](docs/VerificationApi.md#verification_get_summary) | **GET** /api/Verification/GetSummary | Get a summary of verifications for service
*VerificationApi* | [**verification_rerun**](docs/VerificationApi.md#verification_rerun) | **POST** /api/Verification/Rerun | Rerun verification on a parameter
*VerificationApi* | [**verification_rerun_all**](docs/VerificationApi.md#verification_rerun_all) | **POST** /api/Verification/RerunAll | Rerun verification on a document
*VerificationApi* | [**verification_verify**](docs/VerificationApi.md#verification_verify) | **PUT** /api/Verification/Verify | Create a list of verifications
*WizardApi* | [**wizard_create_service**](docs/WizardApi.md#wizard_create_service) | **POST** /api/Wizard/CreateService | Bootstrap a new serice and get the wizard steps required
*WizardApi* | [**wizard_get_all**](docs/WizardApi.md#wizard_get_all) | **GET** /api/Wizard/GetAll | Get all wizards steps for a project and services
*WizardApi* | [**wizard_save**](docs/WizardApi.md#wizard_save) | **POST** /api/Wizard/Save | Save a wizard step
*WizardApi* | [**wizard_validate**](docs/WizardApi.md#wizard_validate) | **POST** /api/Wizard/Validate | Validate a visard step
*WizardApi* | [**wizard_validate_multi**](docs/WizardApi.md#wizard_validate_multi) | **POST** /api/Wizard/ValidateMulti | Validate miltiple wizard steps
*WorkItemApi* | [**work_item_create**](docs/WorkItemApi.md#work_item_create) | **POST** /api/WorkItem/Create | Create Workflow for Document / Shred for Backward compatibility
*WorkItemApi* | [**work_item_create_ex**](docs/WorkItemApi.md#work_item_create_ex) | **POST** /api/WorkItem/CreateEx | CreateEx Workflow for Document / Shred
*WorkItemApi* | [**work_item_delete**](docs/WorkItemApi.md#work_item_delete) | **DELETE** /api/WorkItem/Delete | Delete work item
*WorkItemApi* | [**work_item_escelate**](docs/WorkItemApi.md#work_item_escelate) | **POST** /api/WorkItem/Escelate | Escelate to another user
*WorkItemApi* | [**work_item_expire**](docs/WorkItemApi.md#work_item_expire) | **DELETE** /api/WorkItem/Expire | Expire WorkItems
*WorkItemApi* | [**work_item_finalize**](docs/WorkItemApi.md#work_item_finalize) | **POST** /api/WorkItem/Finalize | Finalize Workflow for Document
*WorkItemApi* | [**work_item_get**](docs/WorkItemApi.md#work_item_get) | **GET** /api/WorkItem/Get | Get WorkItems
*WorkItemApi* | [**work_item_get_by_id**](docs/WorkItemApi.md#work_item_get_by_id) | **GET** /api/WorkItem/GetById | Get WorkItem By Id
*WorkItemApi* | [**work_item_get_count**](docs/WorkItemApi.md#work_item_get_count) | **GET** /api/WorkItem/GetCount | Get WorkItems Count
*WorkItemApi* | [**work_item_get_heatmap**](docs/WorkItemApi.md#work_item_get_heatmap) | **GET** /api/WorkItem/GetHeatmap | Get WorkItems Heatmap
*WorkItemApi* | [**work_item_get_summary**](docs/WorkItemApi.md#work_item_get_summary) | **GET** /api/WorkItem/GetSummary | Get WorkItems Summary
*WorkItemApi* | [**work_item_get_work_queue**](docs/WorkItemApi.md#work_item_get_work_queue) | **GET** /api/WorkItem/GetWorkQueue | Get document work queue
*WorkItemApi* | [**work_item_rebuild**](docs/WorkItemApi.md#work_item_rebuild) | **POST** /api/WorkItem/Rebuild | Rebuild workitems and execute custom code
*WorkItemApi* | [**work_item_reject**](docs/WorkItemApi.md#work_item_reject) | **POST** /api/WorkItem/Reject | Reject work item
*WorkItemApi* | [**work_item_reject_shred**](docs/WorkItemApi.md#work_item_reject_shred) | **POST** /api/WorkItem/RejectShred | Reject work items for a shred
*WorkItemApi* | [**work_item_set_status**](docs/WorkItemApi.md#work_item_set_status) | **PUT** /api/WorkItem/SetStatus | Update status
*WorkItemApi* | [**work_item_transfer**](docs/WorkItemApi.md#work_item_transfer) | **POST** /api/WorkItem/Transfer | Escelate to another user
*WorkItemApi* | [**work_item_transfer_open**](docs/WorkItemApi.md#work_item_transfer_open) | **POST** /api/WorkItem/TransferOpen | Transfer all open to another user

## Documentation For Models

 - [AIForgedCloneChecks](docs/AIForgedCloneChecks.md)
 - [AIForgedCloneOptions](docs/AIForgedCloneOptions.md)
 - [AIForgedDALAuditAccessType](docs/AIForgedDALAuditAccessType.md)
 - [AIForgedDALAuditEntity](docs/AIForgedDALAuditEntity.md)
 - [AIForgedDALAvailability](docs/AIForgedDALAvailability.md)
 - [AIForgedDALBundleType](docs/AIForgedDALBundleType.md)
 - [AIForgedDALCategoryStatus](docs/AIForgedDALCategoryStatus.md)
 - [AIForgedDALChargeStatus](docs/AIForgedDALChargeStatus.md)
 - [AIForgedDALClassType](docs/AIForgedDALClassType.md)
 - [AIForgedDALContactStatus](docs/AIForgedDALContactStatus.md)
 - [AIForgedDALDataTypeCategory](docs/AIForgedDALDataTypeCategory.md)
 - [AIForgedDALDocumentDataType](docs/AIForgedDALDocumentDataType.md)
 - [AIForgedDALDocumentStatus](docs/AIForgedDALDocumentStatus.md)
 - [AIForgedDALEnumType](docs/AIForgedDALEnumType.md)
 - [AIForgedDALGroupRoleStatus](docs/AIForgedDALGroupRoleStatus.md)
 - [AIForgedDALGroupRoleType](docs/AIForgedDALGroupRoleType.md)
 - [AIForgedDALGroupRoleUserStatus](docs/AIForgedDALGroupRoleUserStatus.md)
 - [AIForgedDALGroupStatus](docs/AIForgedDALGroupStatus.md)
 - [AIForgedDALGroupType](docs/AIForgedDALGroupType.md)
 - [AIForgedDALGroupingType](docs/AIForgedDALGroupingType.md)
 - [AIForgedDALLogType](docs/AIForgedDALLogType.md)
 - [AIForgedDALMarkingType](docs/AIForgedDALMarkingType.md)
 - [AIForgedDALModelsGroupRoleUserViewModel](docs/AIForgedDALModelsGroupRoleUserViewModel.md)
 - [AIForgedDALModelsParameterDefSettingViewModel](docs/AIForgedDALModelsParameterDefSettingViewModel.md)
 - [AIForgedDALModelsServiceEventViewModel](docs/AIForgedDALModelsServiceEventViewModel.md)
 - [AIForgedDALModelsTransactionsAuditViewModel](docs/AIForgedDALModelsTransactionsAuditViewModel.md)
 - [AIForgedDALNotificationArea](docs/AIForgedDALNotificationArea.md)
 - [AIForgedDALNotificationEvent](docs/AIForgedDALNotificationEvent.md)
 - [AIForgedDALNotificationLevel](docs/AIForgedDALNotificationLevel.md)
 - [AIForgedDALNotificationStatus](docs/AIForgedDALNotificationStatus.md)
 - [AIForgedDALNotificationType](docs/AIForgedDALNotificationType.md)
 - [AIForgedDALOperationOption](docs/AIForgedDALOperationOption.md)
 - [AIForgedDALOptionStatusFlags](docs/AIForgedDALOptionStatusFlags.md)
 - [AIForgedDALOrientation](docs/AIForgedDALOrientation.md)
 - [AIForgedDALParameterDefinitionCategory](docs/AIForgedDALParameterDefinitionCategory.md)
 - [AIForgedDALParameterDefinitionStatus](docs/AIForgedDALParameterDefinitionStatus.md)
 - [AIForgedDALPaymentStatus](docs/AIForgedDALPaymentStatus.md)
 - [AIForgedDALProjectStatus](docs/AIForgedDALProjectStatus.md)
 - [AIForgedDALRatingStatus](docs/AIForgedDALRatingStatus.md)
 - [AIForgedDALRatingType](docs/AIForgedDALRatingType.md)
 - [AIForgedDALReferenceType](docs/AIForgedDALReferenceType.md)
 - [AIForgedDALRequiredOption](docs/AIForgedDALRequiredOption.md)
 - [AIForgedDALServiceEventStatus](docs/AIForgedDALServiceEventStatus.md)
 - [AIForgedDALServiceEventType](docs/AIForgedDALServiceEventType.md)
 - [AIForgedDALServiceOptions](docs/AIForgedDALServiceOptions.md)
 - [AIForgedDALServiceTypeStatus](docs/AIForgedDALServiceTypeStatus.md)
 - [AIForgedDALSettingStatus](docs/AIForgedDALSettingStatus.md)
 - [AIForgedDALSettingType](docs/AIForgedDALSettingType.md)
 - [AIForgedDALSortDirection](docs/AIForgedDALSortDirection.md)
 - [AIForgedDALSortField](docs/AIForgedDALSortField.md)
 - [AIForgedDALTransactionStatus](docs/AIForgedDALTransactionStatus.md)
 - [AIForgedDALUsageType](docs/AIForgedDALUsageType.md)
 - [AIForgedDALValueType](docs/AIForgedDALValueType.md)
 - [AIForgedDALVerificationStatus](docs/AIForgedDALVerificationStatus.md)
 - [AIForgedDALVerificationType](docs/AIForgedDALVerificationType.md)
 - [AIForgedDALViewModelsNotificationOption](docs/AIForgedDALViewModelsNotificationOption.md)
 - [AIForgedDALViewModelsNotificationPreferences](docs/AIForgedDALViewModelsNotificationPreferences.md)
 - [AIForgedDALViewModelsNotificationSetting](docs/AIForgedDALViewModelsNotificationSetting.md)
 - [AIForgedDALWizardState](docs/AIForgedDALWizardState.md)
 - [AIForgedDALWizardType](docs/AIForgedDALWizardType.md)
 - [AIForgedDALWorkItemAction](docs/AIForgedDALWorkItemAction.md)
 - [AIForgedDALWorkItemMethod](docs/AIForgedDALWorkItemMethod.md)
 - [AIForgedDALWorkItemReason](docs/AIForgedDALWorkItemReason.md)
 - [AIForgedDALWorkItemStatus](docs/AIForgedDALWorkItemStatus.md)
 - [AIForgedDALWorkItemType](docs/AIForgedDALWorkItemType.md)
 - [AIForgedHelpersLogEvent](docs/AIForgedHelpersLogEvent.md)
 - [AIForgedProcessorBackgoundWorkItem](docs/AIForgedProcessorBackgoundWorkItem.md)
 - [AIForgedReportsBackgroundType](docs/AIForgedReportsBackgroundType.md)
 - [AIForgedReportsCustomLayout](docs/AIForgedReportsCustomLayout.md)
 - [AIForgedReportsDisplayOption](docs/AIForgedReportsDisplayOption.md)
 - [AIForgedReportsFilter](docs/AIForgedReportsFilter.md)
 - [AIForgedReportsFilterDisplaySettings](docs/AIForgedReportsFilterDisplaySettings.md)
 - [AIForgedReportsFilterTarget](docs/AIForgedReportsFilterTarget.md)
 - [AIForgedReportsFilterType](docs/AIForgedReportsFilterType.md)
 - [AIForgedReportsLayoutType](docs/AIForgedReportsLayoutType.md)
 - [AIForgedReportsPageSizeType](docs/AIForgedReportsPageSizeType.md)
 - [AIForgedReportsPageSizeTypes](docs/AIForgedReportsPageSizeTypes.md)
 - [AIForgedReportsReportAlignment](docs/AIForgedReportsReportAlignment.md)
 - [AIForgedReportsReportConfigViewModel](docs/AIForgedReportsReportConfigViewModel.md)
 - [AIForgedReportsSetting](docs/AIForgedReportsSetting.md)
 - [AIForgedReportsTokenType](docs/AIForgedReportsTokenType.md)
 - [AIForgedViewModelsAccountBalanceItem](docs/AIForgedViewModelsAccountBalanceItem.md)
 - [AIForgedViewModelsAuditViewModel](docs/AIForgedViewModelsAuditViewModel.md)
 - [AIForgedViewModelsBundlesViewModel](docs/AIForgedViewModelsBundlesViewModel.md)
 - [AIForgedViewModelsCategoryTrainingOptions](docs/AIForgedViewModelsCategoryTrainingOptions.md)
 - [AIForgedViewModelsCategoryTrainingType](docs/AIForgedViewModelsCategoryTrainingType.md)
 - [AIForgedViewModelsClassesViewModel](docs/AIForgedViewModelsClassesViewModel.md)
 - [AIForgedViewModelsContactViewModel](docs/AIForgedViewModelsContactViewModel.md)
 - [AIForgedViewModelsCustomDataSet](docs/AIForgedViewModelsCustomDataSet.md)
 - [AIForgedViewModelsCustomDataSetRecord](docs/AIForgedViewModelsCustomDataSetRecord.md)
 - [AIForgedViewModelsCustomDataSetValue](docs/AIForgedViewModelsCustomDataSetValue.md)
 - [AIForgedViewModelsDataTypeViewModel](docs/AIForgedViewModelsDataTypeViewModel.md)
 - [AIForgedViewModelsDocParamSummary](docs/AIForgedViewModelsDocParamSummary.md)
 - [AIForgedViewModelsDocumentDataViewModel](docs/AIForgedViewModelsDocumentDataViewModel.md)
 - [AIForgedViewModelsDocumentExtraction](docs/AIForgedViewModelsDocumentExtraction.md)
 - [AIForgedViewModelsDocumentParameterViewModel](docs/AIForgedViewModelsDocumentParameterViewModel.md)
 - [AIForgedViewModelsDocumentViewModel](docs/AIForgedViewModelsDocumentViewModel.md)
 - [AIForgedViewModelsDocumentsSummary](docs/AIForgedViewModelsDocumentsSummary.md)
 - [AIForgedViewModelsEnumDataViewModel](docs/AIForgedViewModelsEnumDataViewModel.md)
 - [AIForgedViewModelsGroupRoleViewModel](docs/AIForgedViewModelsGroupRoleViewModel.md)
 - [AIForgedViewModelsGroupViewModel](docs/AIForgedViewModelsGroupViewModel.md)
 - [AIForgedViewModelsLogViewModel](docs/AIForgedViewModelsLogViewModel.md)
 - [AIForgedViewModelsNotificationAttachmentViewModel](docs/AIForgedViewModelsNotificationAttachmentViewModel.md)
 - [AIForgedViewModelsNotificationViewModel](docs/AIForgedViewModelsNotificationViewModel.md)
 - [AIForgedViewModelsParameterDefViewModel](docs/AIForgedViewModelsParameterDefViewModel.md)
 - [AIForgedViewModelsPaymentViewModel](docs/AIForgedViewModelsPaymentViewModel.md)
 - [AIForgedViewModelsPermissionViewModel](docs/AIForgedViewModelsPermissionViewModel.md)
 - [AIForgedViewModelsProjectViewModel](docs/AIForgedViewModelsProjectViewModel.md)
 - [AIForgedViewModelsRatingViewModel](docs/AIForgedViewModelsRatingViewModel.md)
 - [AIForgedViewModelsRoleViewModel](docs/AIForgedViewModelsRoleViewModel.md)
 - [AIForgedViewModelsServiceChargeViewModel](docs/AIForgedViewModelsServiceChargeViewModel.md)
 - [AIForgedViewModelsServiceTypeChargeViewModel](docs/AIForgedViewModelsServiceTypeChargeViewModel.md)
 - [AIForgedViewModelsServiceTypeViewModel](docs/AIForgedViewModelsServiceTypeViewModel.md)
 - [AIForgedViewModelsSettingViewModel](docs/AIForgedViewModelsSettingViewModel.md)
 - [AIForgedViewModelsUserActivateViewModel](docs/AIForgedViewModelsUserActivateViewModel.md)
 - [AIForgedViewModelsUserEditViewModel](docs/AIForgedViewModelsUserEditViewModel.md)
 - [AIForgedViewModelsUserInviteViewModel](docs/AIForgedViewModelsUserInviteViewModel.md)
 - [AIForgedViewModelsUserPasswordResetViewModel](docs/AIForgedViewModelsUserPasswordResetViewModel.md)
 - [AIForgedViewModelsUserViewModel](docs/AIForgedViewModelsUserViewModel.md)
 - [AIForgedViewModelsVerificationSummary](docs/AIForgedViewModelsVerificationSummary.md)
 - [AIForgedViewModelsVerificationViewModel](docs/AIForgedViewModelsVerificationViewModel.md)
 - [AIForgedViewModelsWizard](docs/AIForgedViewModelsWizard.md)
 - [AIForgedViewModelsWizardValidation](docs/AIForgedViewModelsWizardValidation.md)
 - [AIForgedViewModelsWorkFlowSummary](docs/AIForgedViewModelsWorkFlowSummary.md)
 - [AIForgedViewModelsWorkItemViewModel](docs/AIForgedViewModelsWorkItemViewModel.md)
 - [Action](docs/Action.md)
 - [Action1](docs/Action1.md)
 - [Action2](docs/Action2.md)
 - [Action3](docs/Action3.md)
 - [Action4](docs/Action4.md)
 - [Area](docs/Area.md)
 - [Area1](docs/Area1.md)
 - [Area2](docs/Area2.md)
 - [Category](docs/Category.md)
 - [DocStatus](docs/DocStatus.md)
 - [DocStatus1](docs/DocStatus1.md)
 - [DocStatus2](docs/DocStatus2.md)
 - [DocUsage](docs/DocUsage.md)
 - [DocumentClassifyBody](docs/DocumentClassifyBody.md)
 - [DocumentExtractAndVerifyBody](docs/DocumentExtractAndVerifyBody.md)
 - [DocumentUploadBody](docs/DocumentUploadBody.md)
 - [DocumentUploadFileBody](docs/DocumentUploadFileBody.md)
 - [Entity](docs/Entity.md)
 - [Evnt](docs/Evnt.md)
 - [Evnt1](docs/Evnt1.md)
 - [Evnt2](docs/Evnt2.md)
 - [Grouping](docs/Grouping.md)
 - [LarcAIDictionaryLookupMethod](docs/LarcAIDictionaryLookupMethod.md)
 - [LookupMethod](docs/LookupMethod.md)
 - [MasterDocStatus](docs/MasterDocStatus.md)
 - [Method](docs/Method.md)
 - [Method1](docs/Method1.md)
 - [Method2](docs/Method2.md)
 - [Method3](docs/Method3.md)
 - [Method4](docs/Method4.md)
 - [MicrosoftAspNetCoreIdentityUserLoginInfo](docs/MicrosoftAspNetCoreIdentityUserLoginInfo.md)
 - [MicrosoftAspNetCoreMvcProblemDetails](docs/MicrosoftAspNetCoreMvcProblemDetails.md)
 - [MicrosoftPowerBIApiModelsAzureResource](docs/MicrosoftPowerBIApiModelsAzureResource.md)
 - [MicrosoftPowerBIApiModelsExport](docs/MicrosoftPowerBIApiModelsExport.md)
 - [MicrosoftPowerBIApiModelsExportState](docs/MicrosoftPowerBIApiModelsExportState.md)
 - [MicrosoftPowerBIApiModelsFileFormat](docs/MicrosoftPowerBIApiModelsFileFormat.md)
 - [MicrosoftPowerBIApiModelsGroup](docs/MicrosoftPowerBIApiModelsGroup.md)
 - [MicrosoftPowerBIApiModelsGroupUser](docs/MicrosoftPowerBIApiModelsGroupUser.md)
 - [MicrosoftPowerBIApiModelsGroupUserAccessRight](docs/MicrosoftPowerBIApiModelsGroupUserAccessRight.md)
 - [MicrosoftPowerBIApiModelsPage](docs/MicrosoftPowerBIApiModelsPage.md)
 - [MicrosoftPowerBIApiModelsPrincipalType](docs/MicrosoftPowerBIApiModelsPrincipalType.md)
 - [MicrosoftPowerBIApiModelsReport](docs/MicrosoftPowerBIApiModelsReport.md)
 - [MicrosoftPowerBIApiModelsReportUser](docs/MicrosoftPowerBIApiModelsReportUser.md)
 - [MicrosoftPowerBIApiModelsReportUserAccessRight](docs/MicrosoftPowerBIApiModelsReportUserAccessRight.md)
 - [MicrosoftPowerBIApiModelsServicePrincipalProfile](docs/MicrosoftPowerBIApiModelsServicePrincipalProfile.md)
 - [MicrosoftPowerBIApiModelsSubscription](docs/MicrosoftPowerBIApiModelsSubscription.md)
 - [MicrosoftPowerBIApiModelsSubscriptionUser](docs/MicrosoftPowerBIApiModelsSubscriptionUser.md)
 - [MicrosoftPowerBIApiModelsUser](docs/MicrosoftPowerBIApiModelsUser.md)
 - [OneOfAIForgedCloneOptionsChecks](docs/OneOfAIForgedCloneOptionsChecks.md)
 - [OneOfAIForgedCloneOptionsParamDefCategoriesItems](docs/OneOfAIForgedCloneOptionsParamDefCategoriesItems.md)
 - [OneOfAIForgedDALModelsParameterDefSettingViewModelMarking](docs/OneOfAIForgedDALModelsParameterDefSettingViewModelMarking.md)
 - [OneOfAIForgedDALModelsParameterDefSettingViewModelOrientation](docs/OneOfAIForgedDALModelsParameterDefSettingViewModelOrientation.md)
 - [OneOfAIForgedDALModelsServiceEventViewModelMaster](docs/OneOfAIForgedDALModelsServiceEventViewModelMaster.md)
 - [OneOfAIForgedDALModelsServiceEventViewModelResultType](docs/OneOfAIForgedDALModelsServiceEventViewModelResultType.md)
 - [OneOfAIForgedDALModelsServiceEventViewModelSourceType](docs/OneOfAIForgedDALModelsServiceEventViewModelSourceType.md)
 - [OneOfAIForgedReportsCustomLayoutPageSizeType](docs/OneOfAIForgedReportsCustomLayoutPageSizeType.md)
 - [OneOfAIForgedReportsCustomLayoutReportAlignment](docs/OneOfAIForgedReportsCustomLayoutReportAlignment.md)
 - [OneOfAIForgedReportsFilterDisplaySettings](docs/OneOfAIForgedReportsFilterDisplaySettings.md)
 - [OneOfAIForgedReportsFilterTarget](docs/OneOfAIForgedReportsFilterTarget.md)
 - [OneOfAIForgedReportsReportConfigViewModelSettings](docs/OneOfAIForgedReportsReportConfigViewModelSettings.md)
 - [OneOfAIForgedReportsSettingBackground](docs/OneOfAIForgedReportsSettingBackground.md)
 - [OneOfAIForgedReportsSettingCustomLayout](docs/OneOfAIForgedReportsSettingCustomLayout.md)
 - [OneOfAIForgedReportsSettingLayoutType](docs/OneOfAIForgedReportsSettingLayoutType.md)
 - [OneOfAIForgedViewModelsAuditViewModelDef](docs/OneOfAIForgedViewModelsAuditViewModelDef.md)
 - [OneOfAIForgedViewModelsAuditViewModelDocument](docs/OneOfAIForgedViewModelsAuditViewModelDocument.md)
 - [OneOfAIForgedViewModelsAuditViewModelEvent](docs/OneOfAIForgedViewModelsAuditViewModelEvent.md)
 - [OneOfAIForgedViewModelsAuditViewModelGroup](docs/OneOfAIForgedViewModelsAuditViewModelGroup.md)
 - [OneOfAIForgedViewModelsAuditViewModelParameter](docs/OneOfAIForgedViewModelsAuditViewModelParameter.md)
 - [OneOfAIForgedViewModelsAuditViewModelProject](docs/OneOfAIForgedViewModelsAuditViewModelProject.md)
 - [OneOfAIForgedViewModelsAuditViewModelService](docs/OneOfAIForgedViewModelsAuditViewModelService.md)
 - [OneOfAIForgedViewModelsAuditViewModelTransaction](docs/OneOfAIForgedViewModelsAuditViewModelTransaction.md)
 - [OneOfAIForgedViewModelsAuditViewModelVerification](docs/OneOfAIForgedViewModelsAuditViewModelVerification.md)
 - [OneOfAIForgedViewModelsAuditViewModelWorkItem](docs/OneOfAIForgedViewModelsAuditViewModelWorkItem.md)
 - [OneOfAIForgedViewModelsCategoryTrainingOptionsTrainingType](docs/OneOfAIForgedViewModelsCategoryTrainingOptionsTrainingType.md)
 - [OneOfAIForgedViewModelsClassesViewModelStatus](docs/OneOfAIForgedViewModelsClassesViewModelStatus.md)
 - [OneOfAIForgedViewModelsClassesViewModelType](docs/OneOfAIForgedViewModelsClassesViewModelType.md)
 - [OneOfAIForgedViewModelsCustomDataSetDocument](docs/OneOfAIForgedViewModelsCustomDataSetDocument.md)
 - [OneOfAIForgedViewModelsCustomDataSetKeyDef](docs/OneOfAIForgedViewModelsCustomDataSetKeyDef.md)
 - [OneOfAIForgedViewModelsCustomDataSetRecordAvailability](docs/OneOfAIForgedViewModelsCustomDataSetRecordAvailability.md)
 - [OneOfAIForgedViewModelsCustomDataSetSortDirection](docs/OneOfAIForgedViewModelsCustomDataSetSortDirection.md)
 - [OneOfAIForgedViewModelsCustomDataSetValueAvailability](docs/OneOfAIForgedViewModelsCustomDataSetValueAvailability.md)
 - [OneOfAIForgedViewModelsCustomDataSetValueStatus](docs/OneOfAIForgedViewModelsCustomDataSetValueStatus.md)
 - [OneOfAIForgedViewModelsCustomDataSetValueType](docs/OneOfAIForgedViewModelsCustomDataSetValueType.md)
 - [OneOfAIForgedViewModelsDataTypeViewModelCategory](docs/OneOfAIForgedViewModelsDataTypeViewModelCategory.md)
 - [OneOfAIForgedViewModelsDocParamSummaryCategory](docs/OneOfAIForgedViewModelsDocParamSummaryCategory.md)
 - [OneOfAIForgedViewModelsDocParamSummaryGrouping](docs/OneOfAIForgedViewModelsDocParamSummaryGrouping.md)
 - [OneOfAIForgedViewModelsDocumentDataViewModelAvailability](docs/OneOfAIForgedViewModelsDocumentDataViewModelAvailability.md)
 - [OneOfAIForgedViewModelsDocumentDataViewModelType](docs/OneOfAIForgedViewModelsDocumentDataViewModelType.md)
 - [OneOfAIForgedViewModelsDocumentExtractionCategory](docs/OneOfAIForgedViewModelsDocumentExtractionCategory.md)
 - [OneOfAIForgedViewModelsDocumentExtractionGrouping](docs/OneOfAIForgedViewModelsDocumentExtractionGrouping.md)
 - [OneOfAIForgedViewModelsDocumentExtractionStatus](docs/OneOfAIForgedViewModelsDocumentExtractionStatus.md)
 - [OneOfAIForgedViewModelsDocumentExtractionType](docs/OneOfAIForgedViewModelsDocumentExtractionType.md)
 - [OneOfAIForgedViewModelsDocumentParameterViewModelAvailability](docs/OneOfAIForgedViewModelsDocumentParameterViewModelAvailability.md)
 - [OneOfAIForgedViewModelsDocumentParameterViewModelParamDef](docs/OneOfAIForgedViewModelsDocumentParameterViewModelParamDef.md)
 - [OneOfAIForgedViewModelsDocumentViewModelAvailability](docs/OneOfAIForgedViewModelsDocumentViewModelAvailability.md)
 - [OneOfAIForgedViewModelsDocumentViewModelLatestChildStatus](docs/OneOfAIForgedViewModelsDocumentViewModelLatestChildStatus.md)
 - [OneOfAIForgedViewModelsGroupRoleViewModelGroup](docs/OneOfAIForgedViewModelsGroupRoleViewModelGroup.md)
 - [OneOfAIForgedViewModelsGroupRoleViewModelProject](docs/OneOfAIForgedViewModelsGroupRoleViewModelProject.md)
 - [OneOfAIForgedViewModelsLogViewModelDef](docs/OneOfAIForgedViewModelsLogViewModelDef.md)
 - [OneOfAIForgedViewModelsLogViewModelDocument](docs/OneOfAIForgedViewModelsLogViewModelDocument.md)
 - [OneOfAIForgedViewModelsLogViewModelEvent](docs/OneOfAIForgedViewModelsLogViewModelEvent.md)
 - [OneOfAIForgedViewModelsLogViewModelParameter](docs/OneOfAIForgedViewModelsLogViewModelParameter.md)
 - [OneOfAIForgedViewModelsLogViewModelProject](docs/OneOfAIForgedViewModelsLogViewModelProject.md)
 - [OneOfAIForgedViewModelsLogViewModelService](docs/OneOfAIForgedViewModelsLogViewModelService.md)
 - [OneOfAIForgedViewModelsLogViewModelTransaction](docs/OneOfAIForgedViewModelsLogViewModelTransaction.md)
 - [OneOfAIForgedViewModelsLogViewModelType](docs/OneOfAIForgedViewModelsLogViewModelType.md)
 - [OneOfAIForgedViewModelsLogViewModelVerification](docs/OneOfAIForgedViewModelsLogViewModelVerification.md)
 - [OneOfAIForgedViewModelsLogViewModelWorkItem](docs/OneOfAIForgedViewModelsLogViewModelWorkItem.md)
 - [OneOfAIForgedViewModelsNotificationViewModelContact](docs/OneOfAIForgedViewModelsNotificationViewModelContact.md)
 - [OneOfAIForgedViewModelsParameterDefViewModelAvailability](docs/OneOfAIForgedViewModelsParameterDefViewModelAvailability.md)
 - [OneOfAIForgedViewModelsParameterDefViewModelCategory](docs/OneOfAIForgedViewModelsParameterDefViewModelCategory.md)
 - [OneOfAIForgedViewModelsParameterDefViewModelGrouping](docs/OneOfAIForgedViewModelsParameterDefViewModelGrouping.md)
 - [OneOfAIForgedViewModelsPaymentViewModelBundle](docs/OneOfAIForgedViewModelsPaymentViewModelBundle.md)
 - [OneOfAIForgedViewModelsPaymentViewModelProject](docs/OneOfAIForgedViewModelsPaymentViewModelProject.md)
 - [OneOfAIForgedViewModelsProjectViewModelBalance](docs/OneOfAIForgedViewModelsProjectViewModelBalance.md)
 - [OneOfAIForgedViewModelsRatingViewModelStatus](docs/OneOfAIForgedViewModelsRatingViewModelStatus.md)
 - [OneOfAIForgedViewModelsServiceTypeViewModelValueType](docs/OneOfAIForgedViewModelsServiceTypeViewModelValueType.md)
 - [OneOfAIForgedViewModelsVerificationSummaryDocStatus](docs/OneOfAIForgedViewModelsVerificationSummaryDocStatus.md)
 - [OneOfAIForgedViewModelsVerificationSummaryDocUsage](docs/OneOfAIForgedViewModelsVerificationSummaryDocUsage.md)
 - [OneOfAIForgedViewModelsWizardDependencyPd](docs/OneOfAIForgedViewModelsWizardDependencyPd.md)
 - [OneOfAIForgedViewModelsWizardPd](docs/OneOfAIForgedViewModelsWizardPd.md)
 - [OneOfAIForgedViewModelsWizardStpd](docs/OneOfAIForgedViewModelsWizardStpd.md)
 - [OneOfAIForgedViewModelsWorkFlowSummaryDocStatus](docs/OneOfAIForgedViewModelsWorkFlowSummaryDocStatus.md)
 - [OneOfAIForgedViewModelsWorkFlowSummaryDocUsage](docs/OneOfAIForgedViewModelsWorkFlowSummaryDocUsage.md)
 - [OneOfAIForgedViewModelsWorkFlowSummaryMethod](docs/OneOfAIForgedViewModelsWorkFlowSummaryMethod.md)
 - [OneOfAIForgedViewModelsWorkItemViewModelDef](docs/OneOfAIForgedViewModelsWorkItemViewModelDef.md)
 - [OneOfAIForgedViewModelsWorkItemViewModelDocument](docs/OneOfAIForgedViewModelsWorkItemViewModelDocument.md)
 - [OneOfAIForgedViewModelsWorkItemViewModelMethod](docs/OneOfAIForgedViewModelsWorkItemViewModelMethod.md)
 - [OneOfAIForgedViewModelsWorkItemViewModelParent](docs/OneOfAIForgedViewModelsWorkItemViewModelParent.md)
 - [OneOfAIForgedViewModelsWorkItemViewModelProject](docs/OneOfAIForgedViewModelsWorkItemViewModelProject.md)
 - [OneOfAIForgedViewModelsWorkItemViewModelService](docs/OneOfAIForgedViewModelsWorkItemViewModelService.md)
 - [OneOfAIForgedViewModelsWorkItemViewModelShred](docs/OneOfAIForgedViewModelsWorkItemViewModelShred.md)
 - [OneOfAIForgedViewModelsWorkItemViewModelUser](docs/OneOfAIForgedViewModelsWorkItemViewModelUser.md)
 - [OneOfAIForgedViewModelsWorkItemViewModelVerification](docs/OneOfAIForgedViewModelsWorkItemViewModelVerification.md)
 - [OneOfMicrosoftPowerBIApiModelsExportStatus](docs/OneOfMicrosoftPowerBIApiModelsExportStatus.md)
 - [OneOfMicrosoftPowerBIApiModelsGroupLogAnalyticsWorkspace](docs/OneOfMicrosoftPowerBIApiModelsGroupLogAnalyticsWorkspace.md)
 - [OneOfMicrosoftPowerBIApiModelsUserProfile](docs/OneOfMicrosoftPowerBIApiModelsUserProfile.md)
 - [Reason](docs/Reason.md)
 - [Reason1](docs/Reason1.md)
 - [Reason10](docs/Reason10.md)
 - [Reason2](docs/Reason2.md)
 - [Reason3](docs/Reason3.md)
 - [Reason4](docs/Reason4.md)
 - [Reason5](docs/Reason5.md)
 - [Reason6](docs/Reason6.md)
 - [Reason7](docs/Reason7.md)
 - [Reason8](docs/Reason8.md)
 - [Reason9](docs/Reason9.md)
 - [SortDirection](docs/SortDirection.md)
 - [SortDirection1](docs/SortDirection1.md)
 - [SortDirection2](docs/SortDirection2.md)
 - [SortDirection3](docs/SortDirection3.md)
 - [SortDirection4](docs/SortDirection4.md)
 - [SortDirection5](docs/SortDirection5.md)
 - [SortDirection6](docs/SortDirection6.md)
 - [SortDirection7](docs/SortDirection7.md)
 - [SortDirection8](docs/SortDirection8.md)
 - [SortField](docs/SortField.md)
 - [SortField1](docs/SortField1.md)
 - [SortField2](docs/SortField2.md)
 - [SortField3](docs/SortField3.md)
 - [SortField4](docs/SortField4.md)
 - [Status](docs/Status.md)
 - [Status1](docs/Status1.md)
 - [Status2](docs/Status2.md)
 - [Status3](docs/Status3.md)
 - [Status4](docs/Status4.md)
 - [Status5](docs/Status5.md)
 - [SystemDayOfWeek](docs/SystemDayOfWeek.md)
 - [Type](docs/Type.md)
 - [Type1](docs/Type1.md)
 - [Type10](docs/Type10.md)
 - [Type2](docs/Type2.md)
 - [Type3](docs/Type3.md)
 - [Type4](docs/Type4.md)
 - [Type5](docs/Type5.md)
 - [Type6](docs/Type6.md)
 - [Type7](docs/Type7.md)
 - [Type8](docs/Type8.md)
 - [Type9](docs/Type9.md)
 - [Usage](docs/Usage.md)
 - [Usage1](docs/Usage1.md)
 - [Usage2](docs/Usage2.md)
 - [Usage3](docs/Usage3.md)
 - [Usage4](docs/Usage4.md)
 - [Usage5](docs/Usage5.md)
 - [Usagefilter](docs/Usagefilter.md)
 - [UserSettingsSetPictureBody](docs/UserSettingsSetPictureBody.md)

## Documentation For Authorization


## oauth2

- **Type**: OAuth
- **Flow**: password
- **Authorization URL**: https://portal.aiforged.com/connect/authorize
- **Scopes**: 
 - **openid**: Authentication Id
 - **email**: User email
 - **phone**: User phone number
 - **profile**: User profile info
 - **roles**: User roles
 - **aiforgedapi**: Api Scope


## Author

support@aiforged.com
